/*
 * mp3plot - Bitrate analysis tool
 *
 * Copyright (C) 2007, 2009 Toni Corvera
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

// $Id: element.cc 1091 2009-04-01 20:22:06Z  $

#include "element.h"

namespace mp3plot {

namespace mp3 {

// -- MP3 Element -- (Common code of tags and frames)

void element::check(const std::ifstream & in, const std::string & failed_on)
    throw (e_read_failure)
{
    if (!in.good()) {
        throw e_read_failure("Failed to read " + failed_on, EX_IOERR);
    }
}

} // namespace mp3

} // namespace mp3plot

// vim:set ts=4 et ai:

