/*
 * mp3plot - Bitrate analysis tool
 *
 * Copyright (C) 2007, 2009 Toni Corvera
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

// $Id: console_plotter.h 1342 2009-06-21 23:41:45Z toni $

#ifndef MP3PLOT_CONSOLE_PLOTTER_H
#define MP3PLOT_CONSOLE_PLOTTER_H

#include "../mp3_file.h"
#include "bitrate_plotter.h"

namespace mp3plot {

    //! Prints a textual plot to the console
    class console_plotter : public bitrate_plotter {
    public:
        virtual ~console_plotter() {}

        virtual void plot(const mp3file & file, const plot_params&) const throw (e_error);

        virtual const plotter_features& features() const;
        virtual const plotter_description& description() const;
    };


} // namespace mp3plot

#endif // MP3PLOT_CONSOLE_PLOTTER_H
// vim:set ts=4 et ai:

