/*
 * mp3plot - Bitrate analysis tool
 *
 * Copyright (C) 2007, 2009 Toni Corvera
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

// $Id: magickpp_plotter.h 1146 2009-04-14 01:53:01Z  $

#ifndef MP3PLOT_MAGICKPP_PLOTTER_H
#define MP3PLOT_MAGICKPP_PLOTTER_H

/*!
 * \file
 * Special macros:
 * DISABLE_MAGICKPP: If defined magick++ support will not be compiled
 * DISABLE_GRAPHICS: If defined magick++ support will not be compiled
 */

#include "../mp3_config.h"

#if defined(HAVE_MAGICKPP) && !defined(DISABLE_GRAPHICS) && !defined(DISABLE_MAGICK)

#include "../mp3_file.h"
#include "image_plotter.h"

namespace mp3plot {

    //! Plots to a image using Magick++
    class magickpp_plotter : public image_plotter {
    public:
        virtual ~magickpp_plotter() {
        }

        virtual void plot(const mp3file & file, const plot_params&) const throw (e_error);

        virtual plotter_description & description() const {
            static plotter_description D("magick", features());
            return D;
        }
    };

} // namespace mp3plot

#endif // DISABLE_MAGICK, DISABLE_GRAPHICS

#endif // MP3PLOT_MAGICKPP_PLOTTER_H
// vim:set ts=4 et ai:

