/*
 * mp3plot - Bitrate analysis tool
 *
 * Copyright (C) 2007, 2009 Toni Corvera
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

// $Id: logger.h 1150 2009-04-14 02:21:18Z  $

/*!
 * \file
 * Miscellaneous utilities
 */

// This file comes from a different project by me

#ifndef ONET_LOGGER_H
#define ONET_LOGGER_H

#include <iostream>

namespace net_outlyer {

    /*!
     * \brief Logging support class
     */ // TODO: Replace with a better, leveled, feedback method
    class logger {
        private:
            /*!
             * \brief The output stream.
             * \see os()
             * \see redirect()
             */
            static std::ostream * pos_;
            static bool muted_;

            //! Static initialisation
            static void init() {
                if (0 == pos_) {
                    pos_ = & std::clog;
                }
            }
        public:
            /*!
             * \brief Gives access to the output stream
             */
            static std::ostream & os() {
                init();
                return * pos_;
            }

            static void redirect(std::ostream & os) {
                pos_ =& os;
            }

            static void mute() {
                muted_ = true;
            }
    };

} // namespace net_outlyer

#endif // ONET_LOGGER_H
// vim:set ts=4 et ai:

